/*
    Copyright 2021-2023. Huawei Technologies Co., Ltd. All rights reserved.

    Licensed under the Apache License, Version 2.0 (the "License")
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        https://www.apache.org/licenses/LICENSE-2.0
        
    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
*/

part of motion_capture;

/// Motion capture constants.
abstract class Modeling3dMotionCaptureConstants {
  /// Head point.
  static const int TYPE_HEAD = 15;

  /// Left ankle point.
  static const int TYPE_LEFT_ANKLE = 7;

  /// Left collar point.
  static const int TYPE_LEFT_COLLAR = 13;

  /// Left elbow point.
  static const int TYPE_LEFT_ELBOW = 18;

  /// Left foot point.
  static const int TYPE_LEFT_FOOT = 10;

  /// Left hand point.
  static const int TYPE_LEFT_HAND = 22;

  /// Left hip point.
  static const int TYPE_LEFT_HIP = 1;

  /// Left knee point.
  static const int TYPE_LEFT_KNEE = 4;

  /// Left shoulder point.
  static const int TYPE_LEFT_SHOULDER = 16;

  /// Left wrist point.
  static const int TYPE_LEFT_WRIST = 20;

  /// Neck point.
  static const int TYPE_NECK = 12;

  /// Pelvis point.
  static const int TYPE_PELVIS = 0;

  /// Right ankle point.
  static const int TYPE_RIGHT_ANKLE = 8;

  /// Right collar point.
  static const int TYPE_RIGHT_COLLAR = 14;

  /// Right elbow point.
  static const int TYPE_RIGHT_ELBOW = 19;

  /// Right foot point.
  static const int TYPE_RIGHT_FOOT = 11;

  /// Right hand point.
  static const int TYPE_RIGHT_HAND = 23;

  /// Right hip point.
  static const int TYPE_RIGHT_HIP = 2;

  /// Right knee point.
  static const int TYPE_RIGHT_KNEE = 5;

  /// Right shoulder point.
  static const int TYPE_RIGHT_SHOULDER = 17;

  /// Right wrist point.
  static const int TYPE_RIGHT_WRIST = 21;

  /// Point 1 of the spine.
  static const int TYPE_SPINE_1 = 3;

  /// Point 2 of the spine.
  static const int TYPE_SPINE_2 = 6;

  /// Point 3 of the spine.
  static const int TYPE_SPINE_3 = 9;
}
